# Record Class ARI1SampleMapInstanceID

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1SampleMapInstanceID

Record Components:
  `value` - The raw ID value

All Implemented Interfaces:
  `Comparable<ARI1SampleMapInstanceID>`

public record ARI1SampleMapInstanceID(UUID value) extends Record implements Comparable<ARI1SampleMapInstanceID>
A sample map instance ID.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1SampleMapInstanceID(UUID value)`
  A sample map instance ID.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ARI1SampleMapInstanceID other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static ARI1SampleMapInstanceID`
  `ofString(String text)`
  Parse a sample map ID.
  `static ARI1SampleMapInstanceID`
  `random()`
  `String`
  `toString()`
  Returns a string representation of this record class.
  `UUID`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1SampleMapInstanceID

    public ARI1SampleMapInstanceID(UUID value)
    A sample map instance ID.
    Parameters:
      `value` - The raw ID value

- ## Method Details

  - ### random

    public static ARI1SampleMapInstanceID random()
    Returns:
      A random instance ID

  - ### ofString

    public static ARI1SampleMapInstanceID ofString(String text)
    Parse a sample map ID.
    Parameters:
      `text` - The text
    Returns:
      The parsed ID

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(ARI1SampleMapInstanceID other)
    Specified by:
      `compareTo` in interface `Comparable<ARI1SampleMapInstanceID>`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public UUID value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component